Package org.apache.commons.configuration2.io

## Interface FileHandlerListener

- All Known Implementing Classes:
    `FileHandlerListenerAdapter`

      public interface FileHandlerListener

  A listener interface for receiving notifications about updates of a `FileHandler`.

  Objects implementing this interface are notified when properties of a `FileHandler` change or when a load or save operation is performed. This can be useful for various use cases, e.g. when monitoring file-based configurations.

  Since:
    2.0

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `loaded​(FileHandler handler)` | Notification that the associated file has been loaded.
    `void` | `loading​(FileHandler handler)` | Notification that the associated file is about to be loaded.
    `void` | `locationChanged​(FileHandler handler)` | Notification that a property of the monitored `FileHandler` has changed.
    `void` | `saved​(FileHandler handler)` | Notification that the associated file has been saved.
    `void` | `saving​(FileHandler handler)` | Notification that the associated file is about to be saved.

- - ### Method Detail

    - #### loading

          void loading​(FileHandler handler)

      Notification that the associated file is about to be loaded. This method is called immediately before the load operation.
      Parameters:
        `handler` - the file handler

    - #### loaded

          void loaded​(FileHandler handler)

      Notification that the associated file has been loaded. This method is called directly after the load operation.
      Parameters:
        `handler` - the file handler

    - #### saving

          void saving​(FileHandler handler)

      Notification that the associated file is about to be saved. This method is called immediately before the save operation.
      Parameters:
        `handler` - the file handler

    - #### saved

          void saved​(FileHandler handler)

      Notification that the associated file has been saved. This method is called directly after the save operation.
      Parameters:
        `handler` - the file handler

    - #### locationChanged

          void locationChanged​(FileHandler handler)

      Notification that a property of the monitored `FileHandler` has changed.
      Parameters:
        `handler` - the file handler